# $Revision: 1.17 $, $Date: 2010/01/26 22:50:26 $
Summary:	Real-time MIDI sequencer
Summary(pl.UTF-8):	Sekwencer MIDI działający w czasie rzeczywistym
Name:		seq24
Version:	0.8.7
Release:	1
License:	GPL
Group:		X11/Applications/Sound
Source0:	http://filter24.org/seq24/%{name}-%{version}.tar.gz
# Source0-md5:	b2c39dad73f803727c39c2e2e443ebdb
Source1:	%{name}.desktop
Patch0:		sigc22-fix.patch
URL:		http://filter24.org/seq24/
BuildRequires:	alsa-lib-devel >= 0.9.0
BuildRequires:	autoconf
BuildRequires:	automake
BuildRequires:	gtkmm-devel >= 2.4.0
BuildRequires:	jack-audio-connection-kit-devel >= 0.90.0
BuildRequires:	lash-devel
BuildRequires:	libstdc++-devel
BuildRequires:	libtool
BuildRequires:	pkgconfig
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
Seq24 is a real-time midi sequencer. It was created to provide a very
simple interface for editing and playing MIDI 'loops'.

%description -l pl.UTF-8
Seq24 jest sekwencerem działającym w czasie rzeczywistym. Został
stworzony z myślą o prostocie interfejsu do edycji i odtwarzania
'pętli' MIDI.

%prep
%setup -q
%patch0 -p1

%build
%{__libtoolize}
%{__aclocal}
%{__autoheader}
%{__autoconf}
%{__automake}
%configure
%{__make}

%install
rm -rf $RPM_BUILD_ROOT
install -d $RPM_BUILD_ROOT%{_desktopdir}

%{__make} install \
	DESTDIR=$RPM_BUILD_ROOT

install %{SOURCE1} $RPM_BUILD_ROOT%{_desktopdir}

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(644,root,root,755)
%doc AUTHORS ChangeLog README RTC SEQ24
%attr(755,root,root) %{_bindir}/*
%{_desktopdir}/*.desktop

%define date	%(echo `LC_ALL="C" date +"%a %b %d %Y"`)
%changelog
* %{date} PLD Team <feedback@pld-linux.org>
All persons listed below can be reached at <cvs_login>@pld-linux.org

$Log: seq24.spec,v $
Revision 1.17  2010/01/26 22:50:26  sls
- added BR: lash-devel
- rel. 1

Revision 1.16  2010/01/26 22:46:30  sls
- added sigc22-fix.patch (from Fedora)

Revision 1.15  2010/01/26 22:43:51  sls
- ver. 0.8.7

Revision 1.14  2007/06/14 18:31:49  arekm
- rel 2

Revision 1.13  2007/02/12 22:09:14  glen
- tabs in preamble

Revision 1.12  2007/02/12 01:06:32  baggins
- converted to UTF-8

Revision 1.11  2006/05/11 21:28:09  freetz
- 0.8.6

Revision 1.10  2006/03/17 15:56:44  freetz
- 0.8.3, ported to gtkmm-2.4! :)

Revision 1.9  2005/12/28 15:21:07  freetz
- 0.7.0

Revision 1.8  2005/06/06 14:07:58  zbyniu
- BR: pkgconfig

Revision 1.7  2005/03/25 11:42:34  freetz
- force R: gtkmm22

Revision 1.6  2005/03/25 11:38:28  freetz
- 0.6.3, updated BRs

Revision 1.5  2004/11/04 12:06:47  paladine
- rel 2 for fixed desktop file

Revision 1.4  2004/10/03 13:04:00  freetz
- 0.5.2, gcc 3.4.x safe

Revision 1.3  2004/03/28 15:19:48  freetz
- rel. 1 (compilation problems are only nptl related)

Revision 1.2  2004/02/21 21:03:17  freetz
- typo in changelog

Revision 1.1  2004/02/21 21:00:28  freetz
- initial PLD release (note: compilation problems NFY)

